-- init script
alert ('KNXlogic.eu ComfoWay is being upgraded')

--create RS232 port on old hardware
io.popen('ln -s /dev/ttyS5 /dev/RS232', 'w'):close()

alert('Installing files')
--remove core files
io.popen('rm /www/cgi-bin/scada/core/*.*'):close()
io.popen('rm /www/cgi-bin/scada/coreComfo/*.*'):close()
--unpack comfolib time
io.popen('gzip -d /tmp/gs-storage/comfoway.tar.gz', 'w'):close()
os.sleep(0.5)
io.popen('tar -x -f /tmp/gs-storage/comfoway.tar -C /'):close()
io.popen('rm /tmp/gs-storage/comfoway.tar'):close()

alert('Upgrading Stylesheet')
--add the comfoway.css reference
io.popen("cp /www/cgi-bin/scada/index.cgi /www/cgi-bin/scada/index0.cgi"):close()
io.popen("sed '/.*comfoway\\.css.*/d;s/\\(.*core\\.css.*\\)/\\1\\n\\1/' /www/cgi-bin/scada/index.cgi > tempcgi"):close()
io.popen("sed ':a;N;$!ba;s/core\\.css/comfoway\\.css/2' tempcgi > /www/cgi-bin/scada/index.cgi"):close()
io.popen("rm tempcgi"):close()

--reset initscript to default
io.popen("mv  /tmp/gs-storage/comfoWayInitscript.lua /usr/share/lua/genohm-scada/initscript.lua"):close()

--clear comfoway changes because will always reload
storage.set('comfoway_configchanges',false)
storage.set('comfoway_reload',false)
storage.set('comfoway_modbus_reload',false)

alert('ComfoWay is upgraded. REBOOT for all changes to take effect')
