#!/usr/bin/haserl
Content-Type: text/javascript

KNXlogicTranslations = {
utilities_config_ip: 'IP interface',
scripting_title: 'KNX ComfoAir daemon',
objects_title: 'KNX Objects',
spcway_title: 'KNX SPC config',
spcway_general: 'General',
spcway_evt: 'Event',
spcway_sts: 'Status',
spcway_cmd: 'Command',
spcway_event: 'Events',
spcway_status: 'Status',
spcway_command: 'Commands',
spcway_reload: 'Reload configuration',
spcway_modbus: 'Modbus profile',
spcway_btn_add: 'Add new',
spcway_list_view: 'View List',
spcway_id: 'ID',
spcway_name: 'Name',
spcway_value: 'Value',
spcway_description: 'Description',
spcway_event_form: 'Configure Event',
spcway_status_form: 'Configure Status',
spcway_command_form: 'Configure Command',
spcway_general_form: 'Configure General SPCway parameter',
spcway_statuscvt_form: 'Configure Status value convertion',
spcway_escclass: 'Class',
spcway_esctype: 'Element type',
spcway_escname: 'ESC name',
spcway_escid: 'Element ID',
spcway_escoption: 'Option',
spcway_fieldNotApp: 'Field not applicable',
spcway_knxga: 'KNX object',
spcway_knxdt: 'KNX datatype',
spcway_knxfb: 'KNX feedback object',
spcway_knxvaluetype: 'Status value type',
spcway_knxvalue: 'Send value',
spcway_knxresint: 'Resend interval',
spcway_knxresval: 'Resend @ value',
spcway_cvtbtn: 'Convertion table',
spcway_cvtbtn_caption: 'Edit status convertion',
spcway_stsvals: 'Possible values',
spcway_delete_title: 'Delete Communication Object',
spcway_delete_confirm: 'Are you sure you want to delete this communication object?',
spcway_deletegeneral_title: 'Delete optional panel setting',
spcway_deletegeneral_confirm: 'Are you sure you want to delete this general setting?\r\nNote: only optional settings can be deleted.',
spcway_status_title: 'Activate - deactivate',
spcway_status_confirm: 'Are you sure you want to change the active status?',
spcway_active: 'Active',
spcway_option: 'Option',
spcway_elementInfo: 'Panel config data',
spcway_filteron: 'Filter on ', //will be appended with the element type
spcway_tiptext_cmdknxvalue:'<b>Command value based filtering</b><br>When provided, the command will only executed if KNX telegram Command Value is identical to this value (string based comparison)<br>(<b>not</b> supported: comma seperated list of allowed values )',
spcway_tiptext_cmdknxfeedback:'<b>Command feedback</b><br>If an object is provided, then the feedback of the command is sent on this object.<br>Data type of the feedback object is always dt.uint8.' + 
               '<br>Meaning of feedback:<br>0 = success<br>2 = error, due to  configuration<br>12 = error, panel in full engineer mode<br>13 = error, panel not ready to receive such cmd' +
               '<br>14 = error, cmd not enabled<br>15 = error, cmd not implemented<br>16 = command: filtered out (KNX value filter)<br>17 = command: no panel reply',
spcway_tiptext_evtknxvalue: '<b>The value to be written in the telegram</b><br>Allowed values:<br>- a numeric value (in line with data type)<br>- a string (dt string required)<br>' + 
              '- <b>IV</b>: <b>I</b>D <b>V</b>alue = textual description of ID. Datatype string (16) required<br>- <b>FV</b>: <b>F</b>ilter <b>V</b>alue = textual description of the Filter if present. Datatype string (16) required <br>' + 
              '- <b>SV</b>: <b>S</b>IA 2 letter code, followed by the ID <b>V</b>alue. Datatype string (16) required<br>- <b>SI</b>: <b>S</b>IA 2 letter code, followed by the <b>I</b>D number. Datatype string (16) required<br>- <b>TS</b>: the <b>T</b>ime<b>S</b>tamp of the event in time of the SPC panel. Datatype time (10) or date (11) required',
spcway_tiptext_stsecsoption: 'depending on panel configuration',
spcway_tiptext_evtid: '<b>*</b> : All<br>' + '<i>n, m, ... </i>: multiple ID\'s<br>',
spcway_tiptext_evtoption: '<b>*</b> : All<br>',
spcway_tiptext_stsid: 'Allowed values:<br>',
spcway_tiptext_stsoption: 'Allowed values:<br>',
spcway_tiptext_stsresendint: 'If provided, the status telegram will be resent at the specified interval in seconds.<br>If not specified, the telegram is only sent when value changes.',
spcway_tiptext_stsresendval: 'If a resend interval is specifed, the telegram will be resent when the telegram value matches the specified value. When no resend value is provided then the telegram is resent irrespective of value.',
spcway_tiptext_cmdid: '<b>CV</b> : use the KNX <b>C</b>ommand <b>V</b>alue as ID<br>' + '<i>n, m, ... </i>: multiple ID\'s<br>',
spcway_tiptext_cmdoption: 'For certain  commands an option value needs to be provided (see manual).<br>Allowed values:<br>' + 
              '- the numerical value of the option (eg 2 for audio message nr 2)<br>- <b>CV</b> : in this case the <b>C</b>ommand <b>V</b>alue of KNX telegram will be used as numerical input',
spcway_g_pages_hint: 'Displaying {0} - {1} of {2}',
spcway_g_pages_empty: 'Nothing to display',
spcway_e_pages_hint: 'Displaying events {0} - {1} of {2}',
spcway_e_pages_empty: 'No events to display',
spcway_c_pages_hint: 'Displaying commands {0} - {1} of {2}',
spcway_c_pages_empty: 'No commands to display',
spcway_s_pages_hint: 'Displaying satus {0} - {1} of {2}',
spcway_s_pages_empty: 'No status configs to display',
spcway_reload_alert_title:'Reload SPCway',
spcway_reload_alert_msg:'Please wait 5 seconds before continuing for the changes to take effect.<br>The page will reload once you click OK.',
comfoway_title: 'ComfoWay config',
comfoway_general: 'General',
comfoway_status: 'Status',
comfoway_command: 'Command',
comfoway_reload: 'Reload configuration',
comfoway_modbus: 'Modbus profile',
comfoway_btn_add: 'Add new',
comfoway_list_view: 'View List',
comfoway_g_pages_hint: 'Displaying {0} - {1} of {2}',
comfoway_g_pages_empty: 'Nothing to display',
comfoway_c_pages_hint: 'Displaying commands {0} - {1} of {2}',
comfoway_c_pages_empty: 'No commands to display',
comfoway_s_pages_hint: 'Displaying satus {0} - {1} of {2}',
comfoway_s_pages_empty: 'No status configs to display',
comfoway_id: 'ID',
comfoway_name: 'Name',
comfoway_status: 'Status',
comfoway_command: 'Command',
comfoway_address: 'KNX object',
comfoway_datatype: 'Data type',
comfoway_updateonly: 'Only send on read',
comfoway_wrold: 'Resend old status',
comfoway_interval: 'Update interval',
comfoway_description: 'Description',
comfoway_status_form: 'Configure Status',
comfoway_command_form: 'Configure Command',
comfoway_general_form: 'Configure General ComfoWay parameter',
comfoway_delete_title: 'Delete Communication Object',
comfoway_delete_confirm: 'Are you sure you want to delete this communication object?',
comfoway_deletegeneral_title: 'Delete general configuration setting',
comfoway_deletegeneral_confirm: 'Are you sure you want to delete this general setting?',
comfoway_status_title: 'Activate - deactivate',
comfoway_status_confirm: 'Are you sure you want to change the active status?',
comfoway_active: 'Active',
comfoway_tiptext_interval:'Optional.<br>This is the interval to check if the status has changed on your unit.<br>When specified, this value (seconds) will override the default value.',
comfoway_tiptext_updateonly:'When checked, a change in the status value will not be sent on the bus.<br>A read telegram is required to trigger the bus telegram.',
comfoway_tiptext_wrold:'When checked, a status update which is automatically sent on the bus will be preceeded with a telegram containing the previous status.<br>This can be usefull for instance when creating time graphs.',
comfoway_tiptext_address:'This first address is required for the visualisation to work.',
comfoway_reload_alert_title:'Reload ComfoWay',
comfoway_reload_alert_msg:'Please wait 5 seconds before continuing for the changes to take effect.<br>The page will reload once you click OK.',
};
for (var ss in KNXlogicTranslations) {
    Translations[ss]=KNXlogicTranslations[ss]
}
