#!/usr/bin/haserl
Content-Type: text/javascript

KNXlogicTranslations = {
utilities_config_ip: 'IP instellingen',
scripting_title: 'KNX SPC daemon',
objects_title: 'KNX Objecten',
spcway_title: 'KNX SPC config',
spcway_general: 'Algemeen',
spcway_evt: 'Event',
spcway_sts: 'Status',
spcway_cmd: 'Commando',
spcway_event: 'Events',
spcway_status: 'Statussen',
spcway_command: 'Commando\'s',
spcway_reload: 'Herlaad configuratie',
spcway_modbus: 'Modbus profiel',
spcway_btn_add: 'Voeg toe',
spcway_list_view: 'Toon lijst',
spcway_id: 'ID',
spcway_name: 'Naam',
spcway_value: 'Waarde',
spcway_description: 'Omschrijving',
spcway_event_form: 'Configureer Event',
spcway_status_form: 'Configureer Status',
spcway_command_form: 'Configureer Commando',
spcway_general_form: 'Configureer Algemene SPCway parameters',
spcway_statuscvt_form: 'Configureer Status waarde convertie',
spcway_escclass: 'Klasse',
spcway_esctype: 'Type element',
spcway_escname: 'ESC naam',
spcway_escid: 'Element ID',
spcway_escoption: 'Optie',
spcway_fieldNotApp: 'Veld niet van toepassing',
spcway_knxga: 'KNX object',
spcway_knxdt: 'KNX datatype',
spcway_knxfb: 'KNX feedback object',
spcway_knxvaluetype: 'Status waarde type',
spcway_knxvalue: 'Zend waarde',
spcway_knxresint: 'Herzend interval',
spcway_knxresval: 'Herzend @ waarde',
spcway_cvtbtn: 'Convertie tabel',
spcway_cvtbtn_caption: 'Bewerk status convertie',
spcway_stsvals: 'Mogelijke waarden',
spcway_delete_title: 'Verwijder Communicatie Object',
spcway_delete_confirm: 'Ben je zeker dat je dit communicatie object wenst te verwijderen?',
spcway_deletegeneral_title: 'Verwijder optioneel panel parameter',
spcway_deletegeneral_confirm: 'Ben je zeker dat je deze algemene instelling wenst te verwijderen?\r\nNota: enkel optionele parameters kunnen verwijderd worden.',
spcway_status_title: 'Activeer - deactiveer',
spcway_status_confirm: 'Ben je zeker dat je de eigenschap <i>actief</i> wenst te wijzigen?',
spcway_active: 'Actief',
spcway_option: 'Optie',
spcway_elementInfo: 'Paneel config. data',
spcway_filteron: 'Filteren op ', //will be appended with the element type
spcway_tiptext_cmdknxvalue:'<b>Filteren op basis van commando waarde</b><br>Indien ingevuld zal het commando enkel dan worden uitgevoerd als de waarde van het KNX commando overeenstemt met deze waarde (string gebaseerde vergelijking)<br>(<b>niet</b> ondersteund: comma lijst van toegelaten waarden )',
spcway_tiptext_cmdknxfeedback:'<b>Commando feedback</b><br>Als een object wordt ingevuld dan zal de feedback van het commando hier gemeld worden.<br>Datatype van het feedback object is altijd dt.uint8.' + 
               '<br>Betekenis van de feedback:<br>0 = succes<br>2 = fout, omwille van paneel configuratie<br>12 = fout, paneel in full engineer modus<br>13 = fout, paneel niet beschikbaar voor dit commando' +
               '<br>14 = fout, commando niet geactiveerd<br>15 = fout, commando niet ge&iuml;mplementeerd<br>16 = commando: weggefilterd (KNX value filter)<br>17 = commando: geen antwoord van het paneel - timeout',
spcway_tiptext_evtknxvalue: '<b>De waarde in het telegram</b><br>Toegestande waarden:<br>- een numerieke waarde (in overeenstemming met het datatype)<br>- een string. Datatype string (16) vereist<br>' + 
              '- <b>IV</b>: <b>I</b>D <b>V</b>alue = textuele omschrijving van de ID waarde. Datatype string (16) vereist<br>- <b>FV</b>: <b>F</b>ilter <b>V</b>alue = textuele omschrijving van de Filter waarde indien aanwezig. Datatype string (16) vereist<br>' + 
              '- <b>SV</b>: <b>S</b>IA 2 letter code, gevolgd door de ID <b>V</b>alue. Datatype string (16) vereist<br>- <b>SI</b>: <b>S</b>IA 2 letter code, gevolgd door het <b>I</b>D nummer. Datatype string (16) vereist<br>- <b>TS</b>: the <b>T</b>ime<b>S</b>tamp van het event in SPC paneel tijd. Datatype time (10) of date (11) vereist',
spcway_tiptext_stsecsoption: 'afhankelijk van paneel configuratie',
spcway_tiptext_evtid: '<b>*</b> : Alle<br>' + '<i>n, m, ... </i>: meerdere ID\'s<br>',
spcway_tiptext_evtoption: '<b>*</b> : All<br>',
spcway_tiptext_stsid: 'Toegestane waarden:<br>',
spcway_tiptext_stsoption: 'Toegestane waarden:<br>',
spcway_tiptext_stsresendint: 'Indien ingevuld zal het status telegram herzonden worden volgens het gespecifieerde interval in seconden.<br>Indien geen interval, wordt gespecifieerd wordt het telegram enkel gezonden als de statuswaarde wijzigt.',
spcway_tiptext_stsresendval: 'Als een herzend interval wordt gespecifieerd, dan wordt het telegram herzonden als de waarde overeenkomt met de hier gespecifieerde waarde.<br>Indien geen herzend waarde wordt gespeficieerd dan wordt het telgram herzonden bij elke waarde.',
spcway_tiptext_cmdid: '<b>CV</b> : gebruik de KNX <b>C</b>ommand <b>V</b>alue (waarde in telegram) als ID<br>' + '<i>n, m, ... </i>: meerdere ID\'s<br>',
spcway_tiptext_cmdoption: 'Voor bepaalde commando\'s dient een optie waarde te worden gespecifi&euml;erd (zie handleiding).<br>Toegestane waarden:<br>' + 
              '- de numerieke waarde van de optie (bvb 2 for audio boodschap nr 2)<br>- <b>CV</b> : de <b>C</b>ommand <b>V</b>alue van het KNX telegram wordt gebruikt als numerieke input',
spcway_g_pages_hint: 'Lijst {0} - {1} van {2}',
spcway_g_pages_empty: 'Lijst is leeg',
spcway_e_pages_hint: 'Lijst van events {0} - {1} van {2}',
spcway_e_pages_empty: 'Geen events gedefinieerd',
spcway_c_pages_hint: 'Lijst van commando\'s {0} - {1} van {2}',
spcway_c_pages_empty: 'Geen Commando\'s gedefinieerd',
spcway_s_pages_hint: 'Lijst van statussen {0} - {1} van {2}',
spcway_s_pages_empty: 'Geen statussen gedefinieerd',
comfoway_title: 'Comfoway config',
comfoway_general: 'Algemeen',
comfoway_status: 'Status',
comfoway_command: 'Commando',
comfoway_reload: 'Herlaad configuratie',
comfoway_modbus: 'Modbus profiel',
comfoway_btn_add: 'Voeg toe',
comfoway_list_view: 'Toon Lijst',
comfoway_g_pages_hint: 'Lijst {0} - {1} van {2}',
comfoway_g_pages_empty: 'Lijst is leeg',
comfoway_c_pages_hint: 'Lijst van commando\'s {0} - {1} van {2}',
comfoway_c_pages_empty: 'Geen Commando\'s gedefinieerd',
comfoway_s_pages_hint: 'Lijst van statussen {0} - {1} van {2}',
comfoway_s_pages_empty: 'Geen statussen gedefinieerd',
comfoway_id: 'ID',
comfoway_name: 'Naam',
comfoway_status: 'Status',
comfoway_command: 'Commando',
comfoway_address: 'KNX object',
comfoway_datatype: 'Data type',
comfoway_updateonly: 'Enkel zenden bij read',
comfoway_wrold: 'Enkel zenden bij read',
comfoway_interval: 'Update interval',
comfoway_description: 'Omschrijving',
comfoway_status_form: 'Configureer Status',
comfoway_command_form: 'Configureer Command',
comfoway_general_form: 'Configureer Algemene ComfoWay parameters',
comfoway_delete_title: 'Verwijder Communicatie Object',
comfoway_delete_confirm: 'Ben je zeker dat je dit communicatie object wil verwijderen?',
comfoway_deletegeneral_title: 'Verwijder optionele instelling',
comfoway_deletegeneral_confirm: 'Ben je zeker dat je deze algemene instelling wenst te verwijderen?',
comfoway_status_title: 'Activeer - desactiveer',
comfoway_status_confirm: 'Ben je zeker dat je de actieve status wil wijzigen?',
comfoway_active: 'Actief',
comfoway_tiptext_interval:'Optioneel.<br>Dit is het interval waarmee de unit ondervraagd wordt op status wijzigingen.<br>Indien specifieerd zal deze waarde (seconden) de standaard waarde vervangen.',
comfoway_tiptext_updateonly:'Indien aangevinkt zal een status wijziging niet op de bus worden geschreven.<br>Een KNX read telegram is dan nodig om een status update op de bus te plaatsen.',
comfoway_tiptext_wrold:'Indien aangevinkt zal er bij het automatisch zenden van een status update op de bus, eerst nog een telegram gestuurd worden met de vorige waarde.<br>Dit kan nuttig zijn bij gebruik in bijvoorbeeld grafieken.',
comfoway_tiptext_address:'Het eerste adres is vereist voor de visualisatie.',
comfoway_reload_alert_title:'Herlaad ComfoWay',
comfoway_reload_alert_msg:'Gelieve 5 seconden te wachten alvorens verder te gaan zodat de wijzigingen kunnen uitgevoerd worden.<br>De pagina zal zich herladen wanneer je OK klikt.',
};
for (var ss in KNXlogicTranslations) {
    Translations[ss]=KNXlogicTranslations[ss]
}
