#!/usr/bin/haserl
Content-Type: text/html; charset=utf-8

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head>
  <title>ComfoWay - ComfoAir and Object Configuration</title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8">

  <link rel="stylesheet" type="text/css" href="/scada/ext/ext.css.gz?version=20141127">
  <link rel="stylesheet" type="text/css" href="/scada/resources/core.css?version=20141127">
  <link rel="stylesheet" type="text/css" href="/scada/resources/comfoway.css?version=20141127">

  <script type="text/javascript" src="/scada/ext/ext.js.gz?version=20141127"></script>

  <script type="text/javascript">Config = <? lua /lib/genohm-scada/web/general/config-form.lua short ?>;</script>
  <script type="text/javascript" src="/scada/resources/lib.js?version=20141127"></script>
  <script type="text/javascript" src="/scada/resources/core.js?version=20141127"></script>
  <script type="text/javascript" src="/scada/resources/language.js?version=20141127"></script>
  <script type="text/javascript">if (Config.language) document.write('<scr' + 'ipt type="text/javascript" src="/scada/resources/languages/' + Config.language + '.js.gz?version=20141127"></scr' + 'ipt>');</script>

  <script type="text/javascript" src="/scada/resources/ext-scada.js?version=20141127"></script>
  <script type="text/javascript" src="/scada/resources/gauge.js.gz?version=20141127"></script>
  <script type="text/javascript" src="/scada/vis/dygraph.js.gz?version=20141127"></script>
  <?
    # include modules
    MODULES=$(cd /www/cgi-bin/scada/core && ls *.js)
    VERSION=$(cat /lib/genohm-scada/version)
    for MODULE in $MODULES; do
      printf '<script type="text/javascript" src="/cgi-bin/scada/core/%s?version=%s"></script>' "$MODULE" "$VERSION"
    done
  ?>
  <script type="text/javascript">
    <?
      # warn on default password
      passwd=$(uci get httpd.admin.password)
      [ "$passwd" = "admin" ] && echo "Scada.warn = true;"
    ?>
    Ext.onReady(Scada.init);
  </script>
  <style><? lua /lib/genohm-scada/web/vis/css.lua ?></style>
</head>
<body></body>
</html>
